﻿using Hotline.FlowEngine.Workflows;
using Hotline.Share.Enums.Order;
using Hotline.Users;
using SqlSugar;
using XF.Domain.Repository;

namespace Hotline.Orders
{

    public class OrderVisitApply: CreationEntity
    {
        public string OrderNo { get; set; }

        public string OrderId { get; set; }

        [Navigate(NavigateType.OneToOne, nameof(OrderId))]
        public Order Order { get; set; }

        public string EmployeeId { get; set; }

        [Navigate(NavigateType.OneToOne, nameof(EmployeeId))]
        public User Employee { get; set; }

        public string VisitReason { get; set; }

        /// <summary>
        /// 源单号
        /// </summary>
        public string OrderVisitId { get; set; }

        [Navigate(NavigateType.OneToOne,nameof(OrderVisitId))]
        public OrderVisit OrderVisit { get; set; }


        /// <summary>
        /// 流程ID
        /// </summary>
        public string? WorkflowId { get; set; }

        [Navigate(NavigateType.OneToOne,nameof(WorkflowId))]
        public Workflow? Workflow { get; set; }


        public EVisitApplyState VisitApplyState { get; set; }
    }
}
